Bug 4976 - Status of item returned with process_koc.pl is empty in Intranet
Summary: Status of item returned with process_koc.pl is empty in Intranet
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-08 18:58 UTC by Magnus Enger
Modified: 2013-12-05 19:57 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 4976 - Status of item returned with process_koc.pl is empty in Intranet (1.57 KB, patch)
2012-03-09 21:36 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 4976 - Status of item returned with process_koc.pl is empty in Intranet (1.72 KB, patch)
2012-03-16 14:55 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2010-07-08 18:58:33 UTC
I have made several returns with the offline client, then uploaded and processed the resulting file with offline_circ/process_koc.pl. 

When I view the detail for a returned record (e.g. /cgi-bin/koha/catalogue/detail.pl?biblionumber=X) the status of the returned item is empty (all the other items have statuses like "Available" or "On lon to...")

When I view the same record in the OPAC (/cgi-bin/koha/opac-detail.pl?biblionumber=X) all the items have statuses.
Comment 1 Kyle M Hall 2012-03-09 21:36:08 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2012-03-16 14:55:17 UTC
Created attachment 8231 [details] [review]
[SIGNED-OFF] Bug 4976 - Status of item returned with process_koc.pl is empty in Intranet

Fix to ensure items returned through a processed koc file have
items.onloan and items.datelastseen set corrrectly.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>

Uploaded a file with checked in and checked out items. all info
shows properly.
Comment 3 Ian Walls 2012-03-16 17:23:59 UTC
Adds ModItem calls to kocReturnItem, and cleans up a line for legibility.  Marking as Passed QA.
Comment 4 Paul Poulain 2012-03-19 15:23:47 UTC
patch pushed, tiny and looks good (but untested, please test)
Comment 5 Jared Camins-Esakov 2012-05-09 16:55:22 UTC
This bug will be included in the Koha 3.6.5 release.